x = 1694
y = 1546
iterations = 50

for i in range(iterations):
    x_p = x
    y_p = y

    x = (x_p      + 2 * y_p) % 2018
    y = (-3 * x_p +     y_p) % 2018


declinaison = (x-900)/10
ascension_droite = (y/150)*2

print(declinaison, ascension_droite)